# OsiBiLinearEquality Class Reference

Define Continuous BiLinear objects for an == bound. More...

`#include <CbcLinked.hpp>`

Inheritance diagram for OsiBiLinearEquality:
[legend]
Collaboration diagram for OsiBiLinearEquality:
[legend]

List of all members.

## Public Member Functions
| OsiBiLinearEquality ()
| OsiBiLinearEquality (OsiSolverInterface *solver, int xColumn, int yColumn, int xyRow, double rhs, double xMesh)
| Useful constructor - This Adds in rows and variables to construct Ordered Set for x*y = b So note not const solver.
| OsiBiLinearEquality (const OsiBiLinearEquality &)
virtual OsiObject * | clone () const
| Clone.
OsiBiLinearEquality & | operator= (const OsiBiLinearEquality &rhs)
virtual | ~OsiBiLinearEquality ()
virtual double | improvement (const OsiSolverInterface *solver) const
| Possible improvement.
double | newGrid (OsiSolverInterface *solver, int type) const
| change grid if type 0 then use solution and make finer if 1 then back to original returns mesh size
int | numberPoints () const
| Number of points.
void | setNumberPoints (int value)
## Private Attributes
int | numberPoints_
| Number of points.

## Detailed Description

Define Continuous BiLinear objects for an == bound.

This models x*y = b where both are continuous

Definition at line 1038 of file CbcLinked.hpp.

## Constructor & Destructor Documentation

OsiBiLinearEquality::OsiBiLinearEquality | ( |  | ) |

OsiBiLinearEquality::OsiBiLinearEquality | ( | OsiSolverInterface * | solver,
|  | int | xColumn,
|  | int | yColumn,
|  | int | xyRow,
|  | double | rhs,
|  | double | xMesh |
| ) |  |  |

Useful constructor - This Adds in rows and variables to construct Ordered Set for x*y = b So note not const solver.

OsiBiLinearEquality::OsiBiLinearEquality | ( | const OsiBiLinearEquality & |  | ) |

virtual OsiBiLinearEquality::~OsiBiLinearEquality | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual OsiObject* OsiBiLinearEquality::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from OsiBiLinear.

OsiBiLinearEquality& OsiBiLinearEquality::operator= | ( | const OsiBiLinearEquality & | rhs | ) |

Reimplemented from OsiBiLinear.

virtual double OsiBiLinearEquality::improvement | ( | const OsiSolverInterface * | solver | ) | const`[virtual]`

Possible improvement.

double OsiBiLinearEquality::newGrid | ( | OsiSolverInterface * | solver,
|  | int | type |
| ) |  |  | const

change grid if type 0 then use solution and make finer if 1 then back to original returns mesh size

int OsiBiLinearEquality::numberPoints | ( |  | ) | const`[inline]`

Number of points.

Definition at line 1075 of file CbcLinked.hpp.

void OsiBiLinearEquality::setNumberPoints | ( | int | value | ) | `[inline]`

Definition at line 1078 of file CbcLinked.hpp.

## Member Data Documentation

int OsiBiLinearEquality::numberPoints_`[private]`

Number of points.

Definition at line 1084 of file CbcLinked.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcLinked.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines